package com.bocloud.cmp.model;

import java.util.Date;

/**
 * Bucket业务Bean
 *
 * @author dongkai
 */
public class BucketBean {
    private String name; // 名称
    private Date gmtCreate;// 创建时间
    private Double space;// 存储空间
    private String location;// 位置
    private Boolean acl;// 权限
    private Integer level;  // 级别
    private Integer parentId; // 父节点ip
    private String url;  //访问http路径
    private Boolean isPublic; // 是否可以公共访问

    /**
     * @return the name
     */
    public String getName() {
        return name;
    }

    /**
     * @param name the name to set
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * @return the gmtCreate
     */
    public Date getGmtCreate() {
        return gmtCreate;
    }

    /**
     * @param gmtCreate the gmtCreate to set
     */
    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    /**
     * @return the space
     */
    public Double getSpace() {
        return space;
    }

    /**
     * @param space the space to set
     */
    public void setSpace(Double space) {
        this.space = space;
    }

    /**
     * @return the location
     */
    public String getLocation() {
        return location;
    }

    /**
     * @param location the location to set
     */
    public void setLocation(String location) {
        this.location = location;
    }

    /**
     * @return the acl
     */
    public Boolean getAcl() {
        return acl;
    }

    /**
     * @param acl the acl to set
     */
    public void setAcl(Boolean acl) {
        this.acl = acl;
    }

    public Integer getLevel() {
        return level;
    }

    public void setLevel(Integer level) {
        this.level = level;
    }

    public Integer getParentId() {
        return parentId;
    }

    public void setParentId(Integer parentId) {
        this.parentId = parentId;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public Boolean getPublic() {
        return isPublic;
    }

    public void setPublic(Boolean aPublic) {
        isPublic = aPublic;
    }
}
